#include "proc.h"
#include "task.h"
#include "uart.h"

void kill_current_task(void) {
    int cid = get_core_id();
    if (current_task[cid]) {
        current_task[cid]->state = TASK_TERMINATED;
        uart_puts("[PROC] Task killed\n");
        scheduler_yield();
    }
}